// swift-tools-version: 5.7
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "issue2626",
    platforms: [.macOS(.v10_15)],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(
            name: "issue2626",
            targets: ["issue2626"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
      .package(
        url: "https://github.com/apollographql/apollo-ios",
        branch: "main"),
    ],
    targets: [
        // Targets are the basic building blocks of a package. A target can define a module or a test suite.
        // Targets can depend on other targets in this package, and on products in packages this package depends on.
        .target(
            name: "issue2626",
            dependencies: [
              .product(name: "ApolloAPI", package: "apollo-ios"),
            ]),
        .testTarget(
            name: "issue2626Tests",
            dependencies: ["issue2626"]),
    ]
)
